/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggVorbis SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS LIBRARY SOURCE IS     *
 * GOVERNED BY A BSD-STYLE SOURCE LICENSE INCLUDED WITH THIS SOURCE *
 * IN 'COPYING'. PLEASE READ THESE TERMS BEFORE DISTRIBUTING.       *
 *                                                                  *
 * THE OggVorbis SOURCE CODE IS (C) COPYRIGHT 1994-2001             *
 * by the XIPHOPHORUS Company http://www.xiph.org/                  *
 *                                                                  *
 ********************************************************************

 function: stdio-based convenience library for opening/seeking/decoding

 ********************************************************************/

/* C#/.NET interop-port
 * 
 * Copyright 2004 Klaus Prckl <klaus.prueckl@aon.at>
 */

using System;
using System.Configuration;

using Xiph.Interop.Ogg;

namespace Xiph.Interop.VorbisFile
{ 
	/// <summary>
	/// </summary>
	public abstract class VorbisFile
	{
		// lots of asserts are thrown if debug-dll is used
#if DEBUG
		internal const string DllFile = @"..\..\..\..\..\Ogg Vorbis\vorbis\win32\VorbisFile_Dynamic_Debug\vorbisfile_d.dll";
#else
		internal const string DllFile = @"vorbisfile.dll";
#endif
	}
}
